#
# spec file for package rubygem-stomp
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-stomp
Version:        1.4.10
Release:        1.20
%define mod_name stomp
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/stompgem/stomp
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby client for the Stomp messaging protocol
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Ruby client for the Stomp messaging protocol.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.10
  see installed CHANGELOG.md
  [#]# 1.4.10 20200819
  * Fix issue #165
  * Reinstate autoflush behavior
  * Correct _receive method signature
  * Update version
  * More debugging messages in netio.rb.
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.9
  see installed CHANGELOG.md
  [#]# 1.4.9 20191116
  * More debugging messages in netio.rb.
  * Test workaround for Artemis-2289.
  * New put and get examples.
  * Fix issue #160.
  * Address issue #155.
  * Suppress SSL stacktrace to stdout.
  * Example logger enhancements.
  * Optional STOMP frame in examples.
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.8
  see installed CHANGELOG.md
  [#]# 1.4.8 20181219
  * Fix missed merge from 1.4.7 release.
  * Add global debug output flag to all unit tests.
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.7
  see installed CHANGELOG.md
  [#]# 1.4.7 20181210
  * Support SSL cert/key in text format.
  * Test adjustments for Artemis
  * Correct missing variable name
  * Fix Ruby 2.6 test indentation warning
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.6
  see installed CHANGELOG.md
  [#]# 1.4.6 20181105
  * Fix broken JRuby support.  Issue #153.
  * Rework many tests for JRuby support.
  * Add optional debug output to all tests.
  [#]# 1.4.5 20181027
  * Add option for no timeout on network read
  * Lock check of @io.ready for SSL sockets
  * Squelch some deprecation warnings
  * Address issue #146
  * Reintroduce named excepton on nil header
  * Environmentally control some debug flags
  * Raise named exception on bad server frame
  * Attempt to address issue #152
  * Eliminate Ruby 2.5 warnings in unit tests
  * Major refactor of all gem examples
* Tue Jun 13 2017 coolo@suse.com
- updated to version 1.4.4
  see installed CHANGELOG.md
  [#]# 1.4.4 20170611
  * Merge fix for issue 141.
  * Fix broken MatReconnectAttempts
  * Attempt to detect mismatched SSL port and params.
  * Issue 139, add ssl checks to receive timeout logic.
  * Eliminate assert_nothing_raised from tests.
  * Add Artemis suport to standard test bed.
  * Run JRuby tests more easily.
* Sat Sep 10 2016 coolo@suse.com
- updated to version 1.4.3
  see installed CHANGELOG.md
  [#]# 1.4.3 20160821
  * Quick fix of install failures.  Do not try to use install 1.4.2.
* Sun Aug 21 2016 coolo@suse.com
- updated to version 1.4.2
  see installed CHANGELOG.md
  [#]# 1.4.2 20160820
  * Refine SSL examples.
  * Address issue #124 with additional RDOC.
  * spec for Stomp::Client - check that headers passed to connection contain
    required values as well as given custom and that given hash is not modified.
  * Stomp::Client now does not modify given headers hash
  * spec description enhancement.
  * fix build_subscription_id - symbol and string were mixed up.
  * STOMP_TESTSSL flag should enable all SSL tests.
  * Add a basic Gemfile.
  * Fix a memory leak in receipt implementation.
  * Add unit test helper script.
* Fri Jun 24 2016 coolo@suse.com
- updated to version 1.4.1
  see installed CHANGELOG.md
  [#]# 1.4.1 20160623
  * Add call to #post_connection_check to normal SSL processing.  This change
    further validates the name of the broker connected to.  This change adds to
    the current SSL connection processing logic, and is **highly recommended**.  In the
    case a client cannot tolerate this logic, it can be disabled by adding
    :ssl_post_conn_check => false to the connection hash.
  * Fix typo in SSL failure recovery processing.
* Thu Jun  9 2016 coolo@suse.com
- updated to version 1.4.0
  CHANGELOG.rdoc removed upstream
* Thu Mar  3 2016 coolo@suse.com
- updated to version 1.3.5
  see installed CHANGELOG.rdoc
  == 1.3.5 20160302
  * Add AMQ specific durable topic example.
  * Output error to stderr only in logger is undefined.
  * Move README changelog lower.
  * Handle newline at start of receive buffer.
  * Use Timeout::timeout instead of deprecated kernel version.
  * If socket open on reconnect, close it before new open.
  * On misc_err, make error messages more readable.
  * Attempt to support both Rspec 2.14.1+ and 3.x.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.3.4
* Thu Dec 12 2013 coolo@suse.com
- updated to version 1.3.2
  * Anon tests assigned unique class name.
  * Fix TypeError on connect timeout with 1.8.x, 2.x.
  * Complete revert to previous logger logic.
  * start_timeout and tcp_nodelay parameters
  * SSL Fix, revert not setting default ciphers.
  * Copy hash params at init.
  * Fix ssl => true for Ruby 1.9.x and 2.x.
  * Expanded list of STOMP default SSL ciphers:
  * Do not change caller's :hosts array
  * Issue #78, again.
  * Clean up logger interfacing.
  * Fixes from RSpec testing
* Thu Oct 10 2013 coolo@suse.com
- updated to version 1.3.1
  * Method calls to the logger object should check for that method first (#83)
  == 1.3.0 20130930
  * ERROR frames now raise an exception in the Stomp::Client thread(#73, #81)
  * Allow anonymous connections (#75)
  * Fix for subscription id handling in STOMP 1.1 (#78)
  * Added a NullLogger (#77)
  * Added :tcp_nodelay option (disable Nagle's algorithm) (#76)
  * Read receipt ids are now UUIDs
  * Added a :start_timeout parameter
* Fri Sep 13 2013 coolo@suse.com
- updated to version 1.2.16
  * Stomp::Client's should expose connection's host params
  * Add user-specified timeout for initial CONNECTED/ERROR frame read.
  * Eliminate dup Timeout::timeout in ssl connect
  * Add license information to gemspec (#69)
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.2.14
  * Version bump (1.2.13 release had Stomp::Version of 1.1.12.)
  * Prevent dup subscription header on re-receive
  == 1.2.13 20130817
  * Issue #68, Stomp::Client#unreceive max_redeliveries off-by-one error
  == 1.2.12 20130811
  * Fix infinite loop when max reconn attempts is reached
  * Enhance JRuby support in tests
  * Issue #63, nil message on rapid AMQ restarts
  * Issue #63, fast spurious failovers with JRuby and AMQ
  * Issue #67, SSL SNI support (thanks Hiram)
  * Proper cleanup when not reliable adn EOF from broker
  * Remove extraneous privte declarations
  * Issue #65, allow non-word characters in login and passcode using stomp://
  * Issue #66, allow a single broker in a failover URL
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.2.11
  * Issue #60, timeout/hang under JRuby
  * More generally support JRuby use and testing
  * Issue #58, nil message in Client on AMQ shutdown
  * More robust RabbitMQ tests
  == 1.2.10 20130708
  * Issue #57, reconnect delays not honored if erroneous headers
  * Support fail overs when heartbeat send/receive fails
  * Update callback logger example
* Sat Apr 13 2013 coolo@suse.com
- updated to version 1.2.9
  * Refactoring and documentation updates (glennr)
  * Fix test encoding for Ruby 2.0+
  * Fixes to tests due to :suppress_content_length fix
  * Issue #50 Stomp::Client reconnects fail
  * Correctly honor :suppress_content_length with 1.1 (JP Hastings-Spital)
  * Fix reference to client.publish rather than client.send (JP Hastings-Spital)
* Sat Dec 29 2012 coolo@suse.com
- updated to version 1.2.8
  * Fix inverted encode / decode logic (fairly major 1.1+ bug)
  * Enhance codec tests
  * Enhance Stomp 1.1+ tests
* Fri Nov  2 2012 coolo@suse.com
- updated to version 1.2.7
  * Stomp 1.2 support (see http://stomp.github.com)
  * Reset reconnect_delay to default value upon successful reconnect
  * Enhance tests for Stomp 1.2
* Tue Oct  9 2012 coolo@suse.com
- updated to version 1.2.6
  * Provide ability to eliminate checks for closed in protocol methods
  * Cover ssl.connect with connection timeout parameter
  * If heartbeat send raises, do not reraise unless client requests that
  * Remove methods that invoke __send__
  * Move internal methods to 'private'
* Sat Aug  4 2012 coolo@suse.com
- updated to version 1.2.5
  * Issue #48 any forks with modifications will be affected!
  * Source code restructured into individual files
  * Common indentation used throughout the source
  * Many method comments have been added
  * See notes in source regarding making methods private in the next release
  * See notes in source regarding removal of methods in the next release
  * Include examples and tests in rdoc generated during install
  * Issue #47 socket is open during retries
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.1.6
  * Fixed multi-thread app hanging
- additional changes from version 1.1.5
  * Added publish method (send is now deprecated)
  * Changes on Rake File
  * Added original_destination header to unreceive
  * suppress content length header is send on the message for
    future handling (like unreceive)
- additional changes from version 1.1.4
  * Added unreceive message method that sends the message back to
    its queue or to the dead letter queue, depending on the
    :max_redeliveries option, similar to a13m one.
  * Added environment variable option for running 'rake test' on
    any stomp server, using any port with any user.
  * Added suppress_content_length header option for ActiveMQ
    knowing it is a text message (see:
    http://juretta.com/log/2009/05/24/activemq-jms-stomp/)
  * Fixed some bugs with Ruby 1.9 (concatenate string + exception)
  * Major changes on message parsing feature
  * Fixed bug with old socket not being closed when using failover
  * Fixed broken poll method on Connection
  * Fixed broken close method on Client
  * Added connection_frame accessor
  * Added disconnect receipt
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.1.3
  * Failover support
  * SSL support
  * Stomp::Connection and Stomp::Client accept a hash on their
    constructor
* Thu Aug  6 2009 dmacvicar@novell.com
- initial package
